## Synapse Notify
This is a small Rust based tool for the [Synapse](https://github.com/matrix-org/synapse) Matrix server software. It's only purpose is for sending a server notice as defined in the [Synapse documentation](https://matrix-org.github.io/synapse/develop/admin_api/server_notices.html) to **all** registered, local users.  
By default a server notice **only** goes to a single user defined as target user in the API call's body. 

**!!! DO NOT JUST USE THIS BLINDLY ON BIG SERVERS! READ BELOW !!!**

## FAQ
### 1. For whom is this useful?
This is useful for Synapse administrators of small servers who want to send an announcement to all their users at once.

### 2. Is this useful for admins of servers with many users?
**NO!** Keep in mind, that when using this tool there will be sent out one API call for **every single registered user**. This is fine for servers with 10-20 users. However if you have hundreds or even thousands of users this will take **a long time** and will increase the load onto your server. Especially when doing this the first time.

### 3. In what type of environment was this tested yet?
Only on my own server that has 14 registered users at the time of testing. Running through it took about 10 seconds. I don't know how long it'll take on big server and if it maybe breaks something or similiar, but I guess it'll take a really long time on big servers.